### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-site-header/common/ecl-site-header-login.component.ts`

### Extends

`ECLBaseDirective`

### Implements

`OnChanges`

### Metadata

template

    <div></div>

### Index

###### Properties

- Public isLoginBoxActive

###### Methods

- Abstract getLoginBoxCssClasses
- onLoginBoxToggle
- onLoginClick
- getCssClasses

###### Inputs

- isLoggedIn
- class
- e2eAttr

###### Outputs

- login
- loginBoxToggle

### Inputs

isLoggedIn
Type : `boolean`
Default value : `false`

class
Type : `string`

e2eAttr
Type : `any`

### Outputs

login
Type : `EventEmitter`

loginBoxToggle
Type : `EventEmitter`

### Methods

Abstract getLoginBoxCssClasses
`getLoginBoxCssClasses()`
Returns : `string`

onLoginBoxToggle
`onLoginBoxToggle(evt: MouseEvent)`

Parameters :

Name | Type | Optional
evt | `MouseEvent` | No

Returns : `void`

onLoginClick
`onLoginClick(evt: MouseEvent)`

Parameters :

Name | Type | Optional
evt | `MouseEvent` | No

Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Properties

Public isLoginBoxActive
Type : `boolean`
Default value : `false`

# results matching ""

# No results matching ""